Name:          accountsservice
Version:       23.13.9
Release:       1mamba
Summary:       D-Bus interface for user account query and manipulation
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://cgit.freedesktop.org/accountsservice/
Source:        http://www.freedesktop.org/software/accountsservice/accountsservice-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libpolkit-devel
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%package -n lib%{name}
Summary:       Shared library provided with %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
D-Bus interface for user account query and manipulation.
This package contains the shared library provided with %{name}.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
D-Bus interface for user account query and manipulation.
This package contains static libraries and header files needed for development.

%debug_package

%description
D-Bus interface for user account query and manipulation.

%prep
%setup -q -n accountsservice-%{version}

%build
%meson \
   -Dadmin_group=sysadmin \
   -Dgtk_doc=true

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang accounts-service

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f accounts-service.lang
%defattr(-,root,root)
%{_unitdir}/accounts-daemon.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts*.xml
%{_datadir}/dbus-1/system.d/org.freedesktop.Accounts.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.Accounts.service
%{_datadir}/polkit-1/actions/org.freedesktop.accounts.policy
%dir %{_datadir}/accountsservice
%dir %{_datadir}/accountsservice/user-templates
%{_datadir}/accountsservice/user-templates/administrator
%{_datadir}/accountsservice/user-templates/standard

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libaccountsservice.so.*
%{_libdir}/girepository-1.0/AccountsService-1.0.typelib
%{_libexecdir}/accounts-daemon
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/accountsservice-1.0
%{_includedir}/accountsservice-1.0/*
%{_libdir}/libaccountsservice.so
%{_datadir}/gir-1.0/AccountsService-1.0.gir
%{_libdir}/pkgconfig/accountsservice.pc
%dir %{_datadir}/gtk-doc/html/libaccountsservice
%{_datadir}/gtk-doc/html/libaccountsservice/*
%{_datadir}/vala/vapi/accountsservice.deps
%{_datadir}/vala/vapi/accountsservice.vapi
%doc TODO

%changelog
* Wed Mar 29 2023 Automatic Build System <autodist@mambasoft.it> 23.13.9-1mamba
- automatic version update by autodist

* Mon Jul 11 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.08.8-2mamba
- accountsservice: require libaccountsservice

* Sun Jul 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.08.8-1mamba
- update to 22.08.8

* Fri Apr 26 2019 Automatic Build System <autodist@mambasoft.it> 0.6.55-1mamba
- automatic version update by autodist

* Mon Oct 01 2018 Automatic Build System <autodist@mambasoft.it> 0.6.54-1mamba
- automatic version update by autodist

* Sat Sep 29 2018 Automatic Build System <autodist@mambasoft.it> 0.6.53-1mamba
- automatic version update by autodist

* Wed Jul 11 2018 Automatic Build System <autodist@mambasoft.it> 0.6.50-1mamba
- automatic version update by autodist

* Sat May 12 2018 Automatic Build System <autodist@mambasoft.it> 0.6.49-1mamba
- automatic version update by autodist

* Wed Apr 25 2018 Automatic Build System <autodist@mambasoft.it> 0.6.47-1mamba
- automatic version update by autodist

* Thu Apr 05 2018 Automatic Build System <autodist@mambasoft.it> 0.6.46-1mamba
- automatic version update by autodist

* Sat Apr 22 2017 Automatic Build System <autodist@mambasoft.it> 0.6.45-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 0.6.43-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 0.6.42-1mamba
- automatic version update by autodist

* Wed Jan 28 2015 Automatic Build System <autodist@mambasoft.it> 0.6.40-1mamba
- automatic version update by autodist

* Sun Oct 26 2014 Automatic Build System <autodist@mambasoft.it> 0.6.39-1mamba
- automatic version update by autodist

* Thu Sep 25 2014 Automatic Build System <autodist@mambasoft.it> 0.6.38-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 0.6.37-1mamba
- automatic version update by autodist

* Sun Oct 20 2013 Automatic Build System <autodist@mambasoft.it> 0.6.35-1mamba
- automatic version update by autodist

* Fri Jun 14 2013 Automatic Build System <autodist@mambasoft.it> 0.6.34-1mamba
- automatic version update by autodist

* Wed May 15 2013 Automatic Build System <autodist@mambasoft.it> 0.6.32-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 0.6.31-1mamba
- automatic version update by autodist

* Sun Apr 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.30-2mamba
- rebuilt with systemd support

* Thu Dec 13 2012 Automatic Build System <autodist@mambasoft.it> 0.6.30-1mamba
- automatic version update by autodist

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 0.6.29-1mamba
- automatic version update by autodist

* Sat Nov 17 2012 Automatic Build System <autodist@mambasoft.it> 0.6.26-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 0.6.25-1mamba
- automatic version update by autodist

* Sat Sep 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.24-2mamba
- typelib file moved from -devel to runtime library package

* Fri Sep 14 2012 Automatic Build System <autodist@mambasoft.it> 0.6.24-1mamba
- automatic version update by autodist

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 0.6.23-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 0.6.14-1mamba
- automatic version update by autodist

* Sun Jul 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.13-1mamba
- package created by autospec
